summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/build_idl.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
index 8c04db6f37..c9594f8a80 100755
--- a/source4/script/build_idl.sh
+++ b/source4/script/build_idl.sh
@@ -4,7 +4,10 @@ FULLBUILD=$1
[ -d librpc/gen_ndr ] || mkdir -p librpc/gen_ndr || exit 1
-( cd build/pidl && make ) || exit 1
+if [ ! -f build/pidl/idl.pm -o build/pidl/idl.yp -nt build/pidl/idl.pm ]; then
+ echo Rebuilding IDL parser
+ ( cd build/pidl && make ) || exit 1;
+fi
PIDL="build/pidl/pidl.pl --output librpc/gen_ndr/ndr_ --parse --header --parser"
TABLES="build/pidl/tables.pl --output librpc/gen_ndr/tables"